## EmpathyCellRendererActivatable

EmpathyCellRendererActivatable

## Synopsis

                        EmpathyCellRendererActivatable;
    GtkCellRenderer *   empathy_cell_renderer_activatable_new
                                                            (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkCellRenderer
                         +----GtkCellRendererPixbuf
                               +----EmpathyCellRendererActivatable

## Properties

      "show-on-select"           gboolean              : Read / Write

## Signals

      "path-activated"                                 : Run Last

## Description

## Details

### EmpathyCellRendererActivatable

    typedef struct _EmpathyCellRendererActivatable EmpathyCellRendererActivatable;

### empathy_cell_renderer_activatable_new ()

    GtkCellRenderer *   empathy_cell_renderer_activatable_new
                                                            (void);

Returns : |

## Property Details

### The `"show-on-select"` property

      "show-on-select"           gboolean              : Read / Write

Whether the cell renderer should be shown only when it's selected.

Default value: FALSE

## Signal Details

### The `"path-activated"` signal

    void                user_function                      (EmpathyCellRendererActivatable *empathycellrendereractivatable,
                                                            gchar                          *arg1,
                                                            gpointer                        user_data)                           : Run Last

`empathycellrendereractivatable` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.